#include <iostream>
#include <string.h>
using namespace std;
int main(){
    char t[200000];
    cin>>t;
    int b1=strlen(t);
    char s[11];
    cin>>s;
    int b2=strlen(s);
    int br=0;
    int x=0;
    int j=0;
    for(int i=0;i<b1;i++){
        if(t[i]==s[j]){
            if(br!=b2-1){
                br++;
            }else{
                t[i]='*';
                x++;
            }
        }
        if(t[i]!=s[j]){
            br=0;
        }
    }
    cout<<x<<endl;
    for(int i=0;i<b1;i++){
        cout<<t[i];
    }

 return 0;
}